'******************************************************************************
'* Double-Click  to  create  the shortcut and a new folder 'c:\searchBook'.   *                                                               *
'* Right-click the shortcut, select Properties, Advanced; and then check the  *
'* "Run As Administrator" box. This only needs to be done once.               *
'******************************************************************************
Option Explicit
Const OverwriteExisting = True
Dim Shell, objFSO, objFolder, link, msg, strDesktop, strFile, strLast, strPath
Dim strHome

Set Shell  = CreateObject("WScript.Shell")
strDesktop = Shell.SpecialFolders("Desktop")
Set objFSO = CreateObject("Scripting.FileSystemObject")
strHome = "'" & Shell.ExpandEnvironmentStrings("%USERPROFILE%") & "'"

strFile = WScript.ScriptFullName               'Extract the file location here.
strLast = InStr(strFile,"Setup.vbs")        'Now Remove the caller script name.
strPath = Mid(strFile,1,strLast-2)                      'This is the root path.

If Not objFSO.FolderExists("c:\searchBook") Then
   Set objFolder = objFSO.CreateFolder("c:\searchBook")
End If
objFSO.CopyFile strPath & "\Search-book.ps1", "C:\searchBook\", OverwriteExisting
objFSO.CopyFile strPath & "\searchbook.xaml", "C:\searchBook\", OverwriteExisting
objFSO.CopyFile strPath & "\NewOranges.jpg",  "C:\searchBook\", OverwriteExisting
objFSO.CopyFile strPath & "\books.ico",       "C:\searchBook\", OverwriteExisting
objFSO.CopyFile strPath & "\Help-Book.chm",   "C:\searchBook\", OverwriteExisting

CreateShortcut(strDesktop)

Shell.Popup msg,5,"Setup-Book",vbInformation+vbOKOnly

Sub CreateShortcut(strFolderPath)
   Set link = Shell.CreateShortcut(strFolderPath & "\Search-Book.lnk")
   If link.TargetPath <> "" Then
       msg = "Shortcut successfully updated."
   Else
       msg = "Shortcut successfully created."    
   End If
   link.Description  = "Start Powershell Search-Book."
   link.IconLocation = "C:\searchBook\books.ico,0"  
   link.TargetPath   = "%windir%\system32\WindowsPowerShell\v1.0\powershell.exe"
   link.WindowStyle  = 7
   link.WorkingDirectory = "c:\searchBook"
   link.Arguments = "-Version 5.0 -NonInteractive -NoProfile -NoLogo -ExecutionPolicy bypass " & _
                    "-WindowStyle hidden -NoExit -Command .\Search-Book.ps1 " & strHome
   link.Save
End Sub
